From 1ebd4ca42ae3b30f1e955c5af8bacd1e7b703984 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 22:44:32 -0400
Subject: [PATCH 1/2] New package: dart-sdk-2.4.0_1

---
 srcpkgs/dart-sdk/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/dart-sdk/template

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
new file mode 100644
index 00000000000..8710d22a726
--- /dev/null
+++ b/srcpkgs/dart-sdk/template
@@ -0,0 +1,36 @@
+# Template file for 'dart-sdk'
+pkgname=dart-sdk
+version=2.4.0
+revision=1
+archs="x86_64"
+short_desc="Client-optimized language for fast apps on any platform"
+maintainer="Noah Huppert <contact@noahh.io>"
+license="BSD"
+homepage="https://dart.dev/"
+
+hostmakedepends="unzip"
+wrksrc=${pkgname}-${version}
+create_wrksrc=yes
+build_wrksrc=dart-sdk
+
+distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/${version}/sdk/dartsdk-linux-x64-release.zip"
+checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
+
+do_install() {
+    vlicense LICENSE
+
+    vbin bin/dart
+    vbin bin/dart2aot
+    vbin bin/dart2js
+    vbin bin/dartanalyzer
+    vbin bin/dartaotruntime
+    vbin bin/dartdevc
+    vbin bin/dartdoc
+    vbin bin/dartfmt
+    vbin bin/pub
+
+    vmkdir usr/include
+    vcopy include/dart_api.h usr/include/dart_api.h
+    vcopy include/dart_native_api.h usr/include/dart_native_api.h
+    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+}

From 3b40a4c9a6b91dbed653c298d64c7906ae362675 Mon Sep 17 00:00:00 2001
From: Noah Huppert <contact@noahh.io>
Date: Sun, 14 Jul 2019 23:25:10 -0400
Subject: [PATCH 2/2] dart-sdk: fixed template lint errors

---
 srcpkgs/dart-sdk/template | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/srcpkgs/dart-sdk/template b/srcpkgs/dart-sdk/template
index 8710d22a726..d2a1e2f8080 100644
--- a/srcpkgs/dart-sdk/template
+++ b/srcpkgs/dart-sdk/template
@@ -17,20 +17,20 @@ distfiles="https://storage.googleapis.com/dart-archive/channels/stable/release/$
 checksum="094c862f26ff2f203e5e95801281e9f60eeab3849aed1458f364ee757ed89287"
 
 do_install() {
-    vlicense LICENSE
+	     vlicense LICENSE
 
-    vbin bin/dart
-    vbin bin/dart2aot
-    vbin bin/dart2js
-    vbin bin/dartanalyzer
-    vbin bin/dartaotruntime
-    vbin bin/dartdevc
-    vbin bin/dartdoc
-    vbin bin/dartfmt
-    vbin bin/pub
+	     vbin bin/dart
+	     vbin bin/dart2aot
+	     vbin bin/dart2js
+	     vbin bin/dartanalyzer
+	     vbin bin/dartaotruntime
+	     vbin bin/dartdevc
+	     vbin bin/dartdoc
+	     vbin bin/dartfmt
+	     vbin bin/pub
 
-    vmkdir usr/include
-    vcopy include/dart_api.h usr/include/dart_api.h
-    vcopy include/dart_native_api.h usr/include/dart_native_api.h
-    vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
+	     vmkdir usr/include
+	     vcopy include/dart_api.h usr/include/dart_api.h
+	     vcopy include/dart_native_api.h usr/include/dart_native_api.h
+	     vcopy include/dart_tools_api.h usr/include/dart_tools_api.h
 }
